package controller

import (
	"campaign-pool-be/app/module/subscription/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	Subscription SubscriptionController
}

func NewController(SubscriptionService service.SubscriptionService, log zerolog.Logger) *Controller {
	return &Controller{
		Subscription: NewSubscriptionController(SubscriptionService, log),
	}
}
